List support tickets | Moov Documentation

List support tickets

List all the support tickets created under a Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/tickets.read scope.

If you're listing another account's tickets, then you'll need to specify the /accounts/{partnerAccountID}/tickets.read and /accounts/{accountID}/profile.read scopes.

GET

/accounts/{accountID}/tickets

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/tickets" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

mc, _ := moov.NewClient()

var accountID string // customer

mc.ListTickets(ctx, accountID, moov.WithTicketCount(1))

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.support.listTickets({
    count: 20,
    accountID: "8ef75c13-2a50-4438-b294-2a850eb4986d",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$request = new Operations\ListTicketsRequest(
    count: 20,
    accountID: '8ef75c13-2a50-4438-b294-2a850eb4986d',
);

$response = $sdk->support->listTickets(
    request: $request
);

if ($response->object !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListTicketsRequest;
import io.moov.sdk.models.operations.ListTicketsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListTicketsRequest req = ListTicketsRequest.builder()
                .accountID("8ef75c13-2a50-4438-b294-2a850eb4986d")
                .count(20L)
                .build();

ListTicketsResponse res = sdk.support().listTickets()
                .request(req)
                .call();

if (res.object().isPresent()) {
            System.out.println(res.object().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.support.list_tickets(account_id="8ef75c13-2a50-4438-b294-2a850eb4986d", count=20)

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)

req = Models::Operations::ListTicketsRequest.new(
  count: 20,
  account_id: '8ef75c13-2a50-4438-b294-2a850eb4986d'
)
res = s.support.list_tickets(request: req)

unless res.object.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

ListTicketsRequest req = new ListTicketsRequest() {
    Count = 20,
    AccountID = "8ef75c13-2a50-4438-b294-2a850eb4986d",
};

var res = await sdk.Support.ListTicketsAsync(req);

// handle response

Response example

A paginated list of items. The nextPage field is omitted if there are no more pages available.

{
  "items": [
    {
      "ticketID": "string",
      "number": 0,
      "title": "string",
      "contact": {
        "email": "string",
        "name": "string"
      },
      "status": "new",
      "createdOn": "2019-08-24T14:15:22Z",
      "updatedOn": "2019-08-24T14:15:22Z",
      "latestMessageOn": "2019-08-24T14:15:22Z",
      "closedOn": "2019-08-24T14:15:22Z",
      "foreignID": "string"
    }
  ],
  "nextPage": {
    "cursor": "string"
  }
}

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00

Default: 200

Possible values:

new, in-progress, on-hold, closed

A paginated list of items. The nextPage field is omitted if there are no more pages available.